import { State } from "./types";
export declare const useDecodedLocation: () => {
    pathname: string;
    state: unknown;
    hash: string;
    key?: string | undefined;
    search: State;
};
export declare const useDecodedRouteMatch: <T extends State>() => {
    isExact: boolean;
    path: string;
    url: string;
    params: T;
};
export declare const decodeValues: <T extends State>(obj: T) => T;
export declare const encodeValues: <T extends State>(obj: T) => T;
