export declare const getQueryParamsAsObject: (search: string) => Record<string, string | string[]>;
export declare type PartialWithoutUndefined<T> = Partial<T> & {
    [K in keyof T]-?: K extends keyof T ? T[K] : never;
};
export declare const removeUndefined: <T extends Record<string, string | string[] | undefined>>(obj: T) => Record<string, string | string[]>;
export declare const objectToQueryParams: (obj: Record<string, string | string[]>) => string;
