export declare const useDecodedLocation: () => {
    pathname: string;
    state: unknown;
    hash: string;
    key?: string | undefined;
    search: Record<string, string | string[]>;
};
export declare const useDecodedRouteMatch: () => {
    isExact: boolean;
    path: string;
    url: string;
    params: Record<string, string>;
};
export declare const decodeValues: (obj: Record<string, string>) => Record<string, string>;
export declare const encodeValues: <T extends Record<string, string | string[]>>(obj: T) => T;
