import { Dispatch, SetStateAction } from 'react';
export * from './deprecated';
declare type DispatchState<TState> = Dispatch<SetStateAction<TState>>;
declare type RouteObject = Record<string, string | string[]>;
declare type ParamsRouteObject = Record<string, string>;
export declare const useQueryString: (defaultValues?: RouteObject | undefined) => [RouteObject, DispatchState<RouteObject>];
export declare const useQueryStringKey: (key: string, defaultValue?: string | string[] | undefined) => [string | string[] | undefined, Dispatch<SetStateAction<string | string[]>>];
export declare const useRouteParams: (defaultValues?: ParamsRouteObject | undefined) => [ParamsRouteObject, DispatchState<ParamsRouteObject>];
export declare type UrlState = {
    params: ParamsRouteObject;
    query: RouteObject;
};
export declare const useUrlState: (defaultValues?: UrlState | undefined) => [UrlState, DispatchState<UrlState>];
